<?php

namespace App\Filament\Resources\EmotionResource\Pages;

use App\Filament\Resources\EmotionResource;
use Filament\Actions;
use Filament\Resources\Pages\ManageRecords;

class ManageEmotions extends ManageRecords
{
    protected static string $resource = EmotionResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make(),
            Actions\Action::make('import')
                ->label('Import CSV')
                ->icon('heroicon-o-arrow-up-tray')
                ->url(EmotionResource::getUrl('import')),
            Actions\Action::make('template')
                ->label('Download CSV Template')
                ->icon('heroicon-o-document-arrow-down')
                ->url(url('/super-admin/templates/emotions.csv')),
        ];
    }
}
